Skip to main content
PUT
/
api
/
v1
/
settings
/
{id}
Setting ayarlarını güncelle
curl --request PUT \
  --url https://vpos-sandbox.payven.com.tr/api/v1/settings/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "category": "<string>",
  "default_value": "<string>",
  "validation_regex": "<string>",
  "possible_values": "<string>"
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
key
string | null
required
value
string | null
required
extra_properties_dict
object
id
string<uuid>
scope
enum<string>
Available options:
Global,
Tenant,
User
scope_id
string<uuid> | null
description
string | null
category
string | null
default_value
string | null
validation_regex
string | null
possible_values
string | null

Response

No Content